/* Modal */
.modal-overlay{
    position:fixed;
    inset:0;
    background:rgba(17,24,39,.65);
    backdrop-filter:blur(6px);
    display:flex;
    align-items:center;
    justify-content:center;
    opacity:0;
    visibility:hidden;
    transition:.3s;
    z-index:9999;
    padding:20px;
}

.modal-overlay.active{
    opacity:1;
    visibility:visible;
}

.modal-box{
    max-width:91%;
    max-height:110vh;
    overflow-y:auto;
    background:#ffffff;
    border:1px solid var(--line);
    border-radius:30px;
    padding:0px;
    box-shadow:var(--shadow);
    position:relative;
    animation:popup .3s ease;
    transform:scale(0.8);
}

.modal-box::-webkit-scrollbar {
  width: 0px;
}
@keyframes popup{
    from{
        transform:translateY(20px);
        opacity:0;
    }
    to{
        transform:translateY(0);
        opacity:1;
    }
}

.modal-close{
    position:absolute;
    top:30px;
    right:46px;
    width:42px;
    height:42px;
    border:none;
    border-radius:50%;
    background:var(--cream);
    color:var(--saffron);
    font-size:28px;
    cursor:pointer;
    font-weight:700;
    transition:.2s;
}

.modal-close:hover{
    background:var(--saffron);
    color:#fff;
}

.modal-box h2{
    margin-bottom:20px;
}

.modal-box .lead-form{
    margin-top:25px;
}

@media(max-width:640px){
    .modal-box{
        padding:24px;
        border-radius:22px;
    }
}